# $Revision: 1.31 $, $Date: 2006/05/31 12:54:44 $
# TODO:
# - nethttpd needs to be packaged
#
%define		ocaml_ver	1:3.09.2
Summary:	Modules for Internet programming in OCaml
Summary(pl):	Moduy uatwiajce pisanie programw internetowych w OCamlu
Name:		ocaml-net
Version:	1.1.1
Release:	5
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/ocamlnet/ocamlnet-%{version}.tar.gz
# Source0-md5:	4347d04ae16e69b61940f8679eeeef07
Patch0:		%{name}-Makefile.patch
URL:		http://ocamlnet.sourceforge.net/
BuildRequires:	ncurses-devel
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-equeue-devel >= 2.1.4
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modules for Internet programming in OCaml.

%description -l pl
Moduy uatwiajce pisanie programw internetowych w OCamlu.

%package doc
Summary:	ocaml-net documentation
Summary(pl):	Dokumentacja dla pakietw ocaml-net
Group:		Development/Libraries

%description doc
ocaml-net documentation.

%description doc -l pl
Dokumentacja dla pakietw ocaml-net.

%package netstring-devel
Summary:	String processing library
Summary(pl):	Biblioteka do przetwarzania napisw
Group:		Development/Libraries
%requires_eq	ocaml-pcre-devel
%requires_eq	ocaml

%description netstring-devel
String processing library, part of Ocamlnet. This package contains
files needed to develop OCaml programs using this library.

%description netstring-devel -l pl
Biblioteka do przetwarzania napisw, cz pakietu Ocamlnet. Pakiet
ten zawiera pliki niezbdne do tworzenia programw uywajcych tej
biblioteki.

%package nethttpd-devel
Summary:	HTTPd library
Summary(pl):	Biblioteka do obsugi protokou HTTP
Group:		Development/Libraries
%requires_eq	ocaml-pcre-devel
%requires_eq	ocaml

%description nethttpd-devel
HTTPd library, part of Ocamlnet. This package contains the files
needed to develop OCaml programs using this library.

%description nethttpd-devel -l pl
Biblioteka do obsugi protokou HTTP, cz pakietu Ocamlnet. Pakiet
ten zawiera pliki niezbdne do tworzenia programw uywajcych tej
biblioteki.

%package cgi-devel
Summary:	Common Gateway Interface library
Summary(pl):	Biblioteka do tworzenia skryptw CGI
Group:		Development/Libraries
Requires:	%{name}-netstring-devel = %{version}-%{release}
%requires_eq	ocaml

%description cgi-devel
Common Gateway Interface library, part of Ocamlnet. This package
contains files needed to develop OCaml programs using this library.

%description cgi-devel -l pl
Biblioteka do tworzenia skryptw CGI, cz pakietu Ocamlnet. Pakiet
ten zawiera pliki niezbdne do tworzenia programw uywajcych tej
biblioteki.

%package pop3-devel
Summary:	Post Office Protocol (POP3) library
Summary(pl):	Biblioteka do obsugi POP3
Group:		Development/Libraries
Requires:	%{name}-netstring-devel = %{version}-%{release}
%requires_eq	ocaml

%description pop3-devel
Post Office Protocol (POP3) library, part of Ocamlnet. This package
contains files needed to develop OCaml programs using this library.

%description pop3-devel -l pl
Biblioteka do obsugi POP3, cz pakietu Ocamlnet. Pakiet ten zawiera
pliki niezbdne do tworzenia programw uywajcych tej biblioteki.

%package smtp-devel
Summary:	Simple Mail Transfer Protocol (SMTP) library
Summary(pl):	Biblioteka do obsugi SMTP
Group:		Development/Libraries
Requires:	%{name}-netstring-devel = %{version}-%{release}
%requires_eq    ocaml

%description smtp-devel
Interface for the Simple Mail Tranfer Protocol (SMTP) as specified by
RFC 2821.

%description smtp-devel -l pl
Interfejs dla protokou SMTP wyszczeglniony w RFC 2821.

%prep
%setup -q -n ocamlnet-%{version}
%patch0 -p1

%build
cd src
# no %%configure, please
./configure \
	-enable-findlib \
	-enable-compatcgi \
	-with-netstring \
	-with-nethttpd \
	-with-cgi \
        -with-pop \
        -with-smtp

sed -e 's/-g//' Makefile.rules > Makefile.rules.tmp
mv -f Makefile.rules.tmp Makefile.rules
%{__make} all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml

cd src
%{__make} -j1 install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	DESTDIR=$RPM_BUILD_ROOT

for f in smtp cgi pop netstring nethttpd; do
	install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/$f
	mv $RPM_BUILD_ROOT%{_libdir}/ocaml/$f/META \
		$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/$f/
	echo "directory = \"+$f\"" \
		>> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/$f/META
done
cd ..
# not sure about *.o
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/*/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-{pop3,cgi,nethttpd}-%{version}
cp -r examples/{*cgi,jserv} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-cgi-%{version}
cp -r examples/pop/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-pop3-%{version}
cp -r examples/nethttpd/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-nethttpd-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files doc
%defattr(644,root,root,755)
%doc LICENSE README doc/html

%files nethttpd-devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/nethttpd
%{_libdir}/ocaml/nethttpd/*.cm[ixao]*
%{_libdir}/ocaml/nethttpd/*.a
%{_libdir}/ocaml/site-lib/nethttpd
%{_examplesdir}/%{name}-nethttpd-%{version}

%files netstring-devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/netstring
%{_libdir}/ocaml/netstring/*.cm[ixao]*
%{_libdir}/ocaml/netstring/*.a
%{_libdir}/ocaml/netstring/*.o
%attr(755,root,root) %{_libdir}/ocaml/netstring/*.so
%{_libdir}/ocaml/site-lib/netstring

%files cgi-devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/cgi
%{_libdir}/ocaml/cgi/*.cm[ixao]*
%{_libdir}/ocaml/cgi/*.a
%{_libdir}/ocaml/site-lib/cgi
%{_examplesdir}/%{name}-cgi-%{version}

%files pop3-devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/pop
%{_libdir}/ocaml/pop/*.cm[ixao]*
%{_libdir}/ocaml/pop/*.a
%{_libdir}/ocaml/site-lib/pop
%{_examplesdir}/%{name}-pop3-%{version}

%files smtp-devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/smtp
%{_libdir}/ocaml/smtp/*.cm[ixao]*
%{_libdir}/ocaml/smtp/*.a
%{_libdir}/ocaml/site-lib/smtp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-net.spec,v $
Revision 1.31  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.30  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.29  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.28  2005/12/25 23:18:12  baggins
- release 2

Revision 1.27  2005/12/12 13:44:19  baggins
- up to 1.1.1

Revision 1.26  2005/12/11 16:31:25  qboosh
- cosmetics

Revision 1.25  2005/12/11 15:51:21  baggins
- release 3
- package all files
- added doc package

Revision 1.24  2005/12/10 18:45:03  baggins
- release 2 for ocaml 3.09.0

Revision 1.23  2005/10/16 09:50:22  paszczus
- strict BR: ocaml--equeue-devel >= 2.1.4

Revision 1.22  2005/10/16 09:48:21  paszczus
- added pl desc to -smtp-devel

Revision 1.21  2005/10/15 16:14:17  paszczus
- added -smtp-devel package
- added TODO

Revision 1.20  2005/10/15 15:52:09  paszczus
- added Patch0: ocaml-net-Makefile.patch
- fixed %doc
- STBR (at last...)

Revision 1.19  2005/10/15 14:01:05  paszczus
- added -j1 to make

Revision 1.18  2005/10/11 21:40:38  paszczus
- s/ocaml-equeue/ocaml-equeue-devel/g

Revision 1.17  2005/10/11 20:53:05  paszczus
- added missing BR: ocaml-equeue

Revision 1.16  2005/10/11 20:49:57  paszczus
- there is LICENSE.GPL so License GPL v2 now

Revision 1.15  2005/10/11 19:55:54  paszczus
- updated to 1.1

Revision 1.14  2005/06/06 14:24:03  zbyniu
- BR: ncurses-devel

Revision 1.13  2005/03/18 16:06:19  paszczus
- md5

Revision 1.12  2005/03/17 23:39:13  paszczus
- newer version was broken so back to 0.95
- release up for rebuild with ocaml

Revision 1.11  2005/03/17 09:18:43  paszczus
- added DESTDIR patch (for tests)

Revision 1.10  2005/03/17 09:06:10  paszczus
- updated to 0.98.1

Revision 1.9  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.8  2003/06/22 10:39:47  eothane
checkpassword-pam.spec

Revision 1.7  2003/05/29 11:30:29  malekith
- up to 0.95

Revision 1.6  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/12/22 18:56:47  jajcus
- Release: 2
- %%install and %%files changed, so rpm doesn't complain about unlisted files
- *.cmo included in the package, as they are needed for linking some programs

Revision 1.4  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.3  2002/05/13 14:05:12  malekith
- copied description from -devel where there was "No main package."

Revision 1.2  2002/05/13 11:29:31  malekith
- fixed source url -- belnet doesn't work

Revision 1.1  2002/05/13 11:24:24  malekith
- initial; from scratch


